﻿@model ICollection<ApplicationUserViewModel>

@{
    ViewBag.Homepage = "Admin Homepage";
    var count = 1;
}

<h1>All users</h1>

<table class="table">
    <thead>
        <tr>
            <th scope="col">#</th>
            <th scope="col">First</th>
            <th scope="col">Last</th>
            <th scope="col">Email</th>
            <th scope="col">Number of accounts</th>
            <th scope="col">IsDeleted</th>
            <th scope="col"></th>
            <th scope="col"></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var user in @Model)
        {
            <tr>
                <th scope="row">@(count++)</th>
                <td>@user.FirstName</td>
                <td>@user.LastName</td>
                <td>@user.Email</td>
                <td>@user.NumberAccounts</td>
                <td>@user.IsDeleted</td>
                 <td>
                    <a class="btn btn-outline-warning" asp-controller="User" asp-action="Edit" asp-route-userId="@user.Id">Edit</a>
                </td>
                @if (user.NumberAccounts > 0)
                {
                    <td>
                        <a class="btn btn-outline-info" asp-controller="User" asp-action="Info" asp-route-id="@user.Id">Info</a>
                    </td>
                }
                else
                {
                    <td></td>
                }
                <td>
                    
                    <a class="btn btn-outline-danger" asp-controller="User" asp-action="Delete" asp-route-id="@user.Id">Delete</a>
                    
                </td>
            </tr>
        }
    </tbody>
</table>
